#ifndef __KIF_PRINTDIALOG_H
#define __KIF_PRINTDIALOG_H
 
#include <qdialog.h>
#include <kprinter.h>
 
class QCheckBox;
class QComboBox;
class KDoubleNumInput;
class QLineEdit;
class QDoubleValidator;
 
class KIFPrintDialog : public QDialog
{
    Q_OBJECT
public:
    KIFPrintDialog(KPrinter &printer, QWidget *parent=0,
                   const char *name=0);
    //void margins(int &l, int &r, int &t, int &b);
protected slots:
    void slotOptionClicked();
    void slotMetricsClicked(int id);
    void accept();
protected:
    QComboBox *metricBox;
    QCheckBox *scaleLarge, *zoomSmall, *manualDither;
    //KDoubleNumInput *lEdit, *rEdit, *tEdit, *bEdit;
    QLineEdit *lEdit, *rEdit, *tEdit, *bEdit;
    QDoubleValidator *validator;
    bool doSave;
};

#endif

