#ifndef __KIF_QUALITY_H
#define __KIF_QUALITY_H

#include <qdialog.h>
#include <qradiobutton.h>
#include <knuminput.h>

bool saveImage(QImage *img, const QString &filename,
               const char *format);

class KIFQualityDialog : public QDialog
{
public:
    KIFQualityDialog(bool isBatch, const char *format, QWidget *parent=0, const char *name=0);
    int quality(){return(qEdit->value());}
    bool directClass(){return(directBtn->isChecked());}
    bool psudeoClass(){return(psudeoBtn->isChecked());}
protected:
    KIntNumInput *qEdit;
    QRadioButton *directBtn, *psudeoBtn;
};


#endif

